"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yeoman_test_1 = __importDefault(require("yeoman-test"));
const index_1 = require("../node-module/__tests__/__fixtures__/index");
describe("TypeScriptPackageGenerator", () => {
    let result;
    beforeAll(async () => {
        result = await yeoman_test_1.default.create(__dirname)
            .withPrompts(index_1.NODE_MODULE_GENERATOR_TEST_ANSWERS)
            .run();
    });
    describe("package.json", () => {
        it("creates a package.json file", () => {
            result.assertFile("package.json");
        });
        describe("installs required devDependencies", () => {
            it("installs @chiubaka/tsconfig", () => {
                expect(result).toHaveDevDependency("@chiubaka/tsconfig");
            });
        });
    });
    describe("installs dependencies with yarn", () => {
        it("sets the yarn version to 3.2.1", () => {
            result.assertFile(".yarn/releases/yarn-3.2.1.cjs");
        });
        it("creates a yarn.lock file", () => {
            result.assertFile("yarn.lock");
        });
    });
    it("creates a .gitignore file", () => {
        result.assertFile(".gitignore");
    });
    it("creates a tsconfig.json file", () => {
        result.assertFile("tsconfig.json");
    });
    it("creates a .circleci/config.yml file", () => {
        result.assertFile(".circleci/config.yml");
    });
});
//# sourceMappingURL=TypeScriptPackageGenerator.test.js.map