"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yeoman_test_1 = __importDefault(require("yeoman-test"));
describe("CircleCiGenerator", () => {
    let result;
    beforeAll(async () => {
        result = await yeoman_test_1.default.create(__dirname).run();
    });
    describe(".circleci/", () => {
        describe("config.yml", () => {
            it("creates a config.yml file", () => {
                result.assertFile(".circleci/config.yml");
            });
            it("includes a job for running linters", () => {
                result.assertFileContent(".circleci/config.yml", "yarn run lint");
            });
            it("includes a job for building the project", () => {
                result.assertFileContent(".circleci/config.yml", "yarn run build");
            });
            describe("testing", () => {
                it("includes a job for running tests", () => {
                    result.assertFileContent(".circleci/config.yml", "yarn run test");
                });
                it("stores test results", () => {
                    result.assertFileContent(".circleci/config.yml", "store_test_results");
                });
                it("stores artifacts", () => {
                    result.assertFileContent(".circleci/config.yml", "store_artifacts");
                });
            });
            it("includes a job for publishing the package", () => {
                result.assertFileContent(".circleci/config.yml", "yarn run deploy");
            });
        });
    });
});
//# sourceMappingURL=CircleCiGenerator.test.js.map