"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yeoman_test_1 = __importDefault(require("yeoman-test"));
describe("GitignoreGenerator", () => {
    let result;
    beforeAll(async () => {
        result = await yeoman_test_1.default.create(__dirname).run();
    });
    it("creates a .gitignore file", () => {
        result.assertFile(".gitignore");
    });
    it("includes macOS gitignore rules", () => {
        result.assertFileContent(".gitignore", "macOS");
    });
    it("includes yarn gitignore rules", () => {
        result.assertFileContent(".gitignore", "yarn");
    });
    it("includes VSCode gitignore rules", () => {
        result.assertFileContent(".gitignore", "vscode");
    });
});
//# sourceMappingURL=GitignoreGenerator.test.js.map