"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeModuleGenerator = void 0;
const node_assert_1 = __importDefault(require("node:assert"));
const shared_1 = require("../shared");
class NodeModuleGenerator extends shared_1.BaseGenerator {
    async prompting() {
        const questions = [
            {
                type: "input",
                name: "name",
                message: "What is the name of this new package?",
            },
            {
                type: "input",
                name: "description",
                message: "What is the description of this new package?",
            },
            {
                type: "input",
                name: "authorName",
                message: "Who is the author of this new package?",
            },
            {
                type: "input",
                name: "authorEmail",
                message: "What is the email address of the author of this new package?",
            },
            {
                type: "input",
                name: "githubUrl",
                message: "What is the full URL of the GitHub repo for the new package?",
            },
            {
                type: "input",
                name: "keywords",
                message: "What keywords would you like to associate with this new package?",
            },
        ];
        this.answers = await this.prompt(questions);
    }
    writing() {
        var _a;
        (0, node_assert_1.default)(this.answers);
        const keywordTokens = ((_a = this.answers.keywords) === null || _a === void 0 ? void 0 : _a.split(" ")) || [];
        const keywords = keywordTokens.map((token) => `"${token}"`).join(", ");
        this.copyTemplate("package.json.ejs", "package.json", Object.assign(Object.assign({}, this.answers), { keywords }));
    }
}
exports.NodeModuleGenerator = NodeModuleGenerator;
//# sourceMappingURL=NodeModuleGenerator.js.map